curl --request PATCH \
--url https://api.paytsoftware.com/v1/tasks/{id}/mark_completed \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"administration_id": "<string>",
"fields": "<string>",
"completed_status": "<string>",
"completed_status_message": "<string>",
"comment": "<string>",
"resume_dossiers": true
}
'import requests
url = "https://api.paytsoftware.com/v1/tasks/{id}/mark_completed"
payload = {
"administration_id": "<string>",
"fields": "<string>",
"completed_status": "<string>",
"completed_status_message": "<string>",
"comment": "<string>",
"resume_dossiers": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
administration_id: '<string>',
fields: '<string>',
completed_status: '<string>',
completed_status_message: '<string>',
comment: '<string>',
resume_dossiers: true
})
};
fetch('https://api.paytsoftware.com/v1/tasks/{id}/mark_completed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"administration_id": "<string>",
"id": "<string>",
"expiry_date": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"assigned_to_user": {
"id": "<string>",
"name": "<string>",
"email_address": "<string>"
},
"credit_case_id": "<string>",
"debtor_id": "<string>",
"invoice_id": "<string>",
"description": "<string>",
"subject": "<string>",
"completed_status": "succeeded",
"completed_status_message": "<string>",
"comments": [
{
"id": "<string>",
"content": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"completed_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Mark a task as completed
Mark a task as completed
Authorizations
OAuth2 access token or static API token. See Authorization for how to obtain one.
Path Parameters
Task identifier
Body
Mark a task as completed
Administration identifier
JSON object defining fields to receive (e.g {"only": ["field1", {"field2": ["field3"]}]})
Completion status of the task (succeeded, failed, cleaned_up)
Message explaining the completion status
Comment to add when completing the task
Whether to resume blocked dossiers associated with the task
Response
Task
CustomerApi_V1_TaskEntity model
Owning administration identifier
Unique identifier
Expiry date of the task
Timestamp at which the task was last updated
Timestamp at which the task was created
User the task is assigned to
Show child attributes
Show child attributes
Associated credit_case identifier
Associated debtor identifier
Associated invoice identifier
Description of the task
Subject of the task
Completion status of the task (succeeded, failed, cleaned_up)
succeeded, failed, cleaned_up Message explaining the completion status of the task
Comments (derived, request with the 'fields' parameter)
Show child attributes
Show child attributes
Timestamp at which the task was completed
Was this page helpful?